diff --git a/src/providers/ldap/sdap_async_connection.c b/src/providers/ldap/sdap_async_connection.c
index 0a77460..2494837 100644
--- a/src/providers/ldap/sdap_async_connection.c
+++ b/src/providers/ldap/sdap_async_connection.c
@@ -1974,11 +1974,11 @@ static int synchronous_tls_setup(LDAP *ldap)
     if (lret != LDAP_SUCCESS) {
         optret = sss_ldap_get_diagnostic_msg(tmp_ctx, ldap, &diag_msg);
         if (optret == LDAP_SUCCESS) {
-            DEBUG(3, ("ldap_start_tls failed: [%s] [%s]\n",
-                      sss_ldap_err2string(lret), diag_msg));
+            DEBUG(3, "ldap_start_tls failed: [%s] [%s]\n",
+                      sss_ldap_err2string(lret), diag_msg);
             sss_log(SSS_LOG_ERR, "Could not start TLS. %s", diag_msg);
         } else {
-            DEBUG(3, ("ldap_start_tls failed: [%s]\n", sss_ldap_err2string(lret)));
+            DEBUG(3, "ldap_start_tls failed: [%s]\n", sss_ldap_err2string(lret));
             sss_log(SSS_LOG_ERR, "Could not start TLS. "
                                  "Check for certificate issues.");
         }
@@ -1988,8 +1988,8 @@ static int synchronous_tls_setup(LDAP *ldap)
     lret = ldap_result(ldap, msgid, 1, NULL, &result);
     if (lret != LDAP_RES_EXTENDED) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Unexpected ldap_result, expected [%lu] got [%d].\n",
-               LDAP_RES_EXTENDED, lret));
+              "Unexpected ldap_result, expected [%lu] got [%d].\n",
+               LDAP_RES_EXTENDED, lret);
         lret = LDAP_PARAM_ERROR;
         goto done;
     }
@@ -1997,16 +1997,16 @@ static int synchronous_tls_setup(LDAP *ldap)
     lret = ldap_parse_result(ldap, result, &ldaperr, NULL, &errmsg, NULL, NULL,
                              0);
     if (lret != LDAP_SUCCESS) {
-        DEBUG(2, ("ldap_parse_result failed (%d) [%d][%s]\n", msgid, lret,
-                  sss_ldap_err2string(lret)));
+        DEBUG(2, "ldap_parse_result failed (%d) [%d][%s]\n", msgid, lret,
+                  sss_ldap_err2string(lret));
         goto done;
     }
 
-    DEBUG(3, ("START TLS result: %s(%d), %s\n",
-              sss_ldap_err2string(ldaperr), ldaperr, errmsg));
+    DEBUG(3, "START TLS result: %s(%d), %s\n",
+              sss_ldap_err2string(ldaperr), ldaperr, errmsg);
 
     if (ldap_tls_inplace(ldap)) {
-        DEBUG(9, ("SSL/TLS handler already in place.\n"));
+        DEBUG(9, "SSL/TLS handler already in place.\n");
         lret = LDAP_SUCCESS;
         goto done;
     }
@@ -2016,12 +2016,12 @@ static int synchronous_tls_setup(LDAP *ldap)
 
         optret = sss_ldap_get_diagnostic_msg(tmp_ctx, ldap, &diag_msg);
         if (optret == LDAP_SUCCESS) {
-            DEBUG(3, ("ldap_install_tls failed: [%s] [%s]\n",
-                      sss_ldap_err2string(lret), diag_msg));
+            DEBUG(3, "ldap_install_tls failed: [%s] [%s]\n",
+                      sss_ldap_err2string(lret), diag_msg);
             sss_log(SSS_LOG_ERR, "Could not start TLS encryption. %s", diag_msg);
         } else {
-            DEBUG(3, ("ldap_install_tls failed: [%s]\n",
-                      sss_ldap_err2string(lret)));
+            DEBUG(3, "ldap_install_tls failed: [%s]\n",
+                      sss_ldap_err2string(lret));
             sss_log(SSS_LOG_ERR, "Could not start TLS encryption. "
                                  "Check for certificate issues.");
         }
@@ -2054,14 +2054,14 @@ static int sdap_rebind_proc(LDAP *ldap, LDAP_CONST char *url, ber_tag_t request,
     if (p->use_start_tls) {
         ret = synchronous_tls_setup(ldap);
         if (ret != LDAP_SUCCESS) {
-            DEBUG(1, ("synchronous_tls_setup failed.\n"));
+            DEBUG(1, "synchronous_tls_setup failed.\n");
             return ret;
         }
     }
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(1, ("talloc_new failed.\n"));
+        DEBUG(1, "talloc_new failed.\n");
         return LDAP_NO_MEMORY;
     }
 
@@ -2071,8 +2071,8 @@ static int sdap_rebind_proc(LDAP *ldap, LDAP_CONST char *url, ber_tag_t request,
         ret = sss_ldap_control_create(LDAP_CONTROL_PASSWORDPOLICYREQUEST,
                                       0, NULL, 0, &ctrls[0]);
         if (ret != LDAP_SUCCESS && ret != LDAP_NOT_SUPPORTED) {
-            DEBUG(1, ("sss_ldap_control_create failed to create "
-                      "Password Policy control.\n"));
+            DEBUG(1, "sss_ldap_control_create failed to create "
+                      "Password Policy control.\n");
             goto done;
         }
         request_controls = ctrls;
@@ -2086,7 +2086,7 @@ static int sdap_rebind_proc(LDAP *ldap, LDAP_CONST char *url, ber_tag_t request,
                                         &password);
             if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                     ("sdap_auth_get_authtok failed.\n"));
+                     "sdap_auth_get_authtok failed.\n");
                 ret = LDAP_LOCAL_ERROR;
                 goto done;
             }
@@ -2096,13 +2096,13 @@ static int sdap_rebind_proc(LDAP *ldap, LDAP_CONST char *url, ber_tag_t request,
                                request_controls, NULL, NULL);
         if (ret != LDAP_SUCCESS) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("ldap_sasl_bind_s failed (%d)[%s]\n", ret,
-                  sss_ldap_err2string(ret)));
+                  "ldap_sasl_bind_s failed (%d)[%s]\n", ret,
+                  sss_ldap_err2string(ret));
         }
     } else {
         sasl_bind_state = talloc_zero(tmp_ctx, struct sasl_bind_state);
         if (sasl_bind_state == NULL) {
-            DEBUG(1, ("talloc_zero failed.\n"));
+            DEBUG(1, "talloc_zero failed.\n");
             ret = LDAP_NO_MEMORY;
             goto done;
         }
@@ -2114,13 +2114,13 @@ static int sdap_rebind_proc(LDAP *ldap, LDAP_CONST char *url, ber_tag_t request,
                                            (*sdap_sasl_interact),
                                            sasl_bind_state);
         if (ret != LDAP_SUCCESS) {
-            DEBUG(1, ("ldap_sasl_interactive_bind_s failed (%d)[%s]\n", ret,
-                      sss_ldap_err2string(ret)));
+            DEBUG(1, "ldap_sasl_interactive_bind_s failed (%d)[%s]\n", ret,
+                      sss_ldap_err2string(ret));
         }
     }
 
-    DEBUG(7, ("%s bind to [%s].\n",
-             (ret == LDAP_SUCCESS ? "Successfully" : "Failed to"), url));
+    DEBUG(7, "%s bind to [%s].\n",
+             (ret == LDAP_SUCCESS ? "Successfully" : "Failed to"), url);
 
 done:
     if (ctrls[0]) ldap_control_free(ctrls[0]);
diff --git a/src/providers/ldap/sdap_async_enum.c b/src/providers/ldap/sdap_async_enum.c
index b03c19a..da7c4ec 100644
--- a/src/providers/ldap/sdap_async_enum.c
+++ b/src/providers/ldap/sdap_async_enum.c
@@ -86,7 +86,7 @@ sdap_dom_enum_send(TALLOC_CTX *memctx,
     state->conn = conn;
     state->op = sdap_id_op_create(state, state->ctx->conn->conn_cache);
     if (!state->op) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sdap_id_op_create failed\n");
         ret = EIO;
         goto fail;
     }
@@ -100,7 +100,7 @@ sdap_dom_enum_send(TALLOC_CTX *memctx,
 
     ret = sdap_dom_enum_retry(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldap_id_enumerate_retry failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ldap_id_enumerate_retry failed\n");
         goto fail;
     }
 
@@ -122,7 +122,7 @@ static errno_t sdap_dom_enum_retry(struct tevent_req *req)
     subreq = sdap_id_op_connect_send(state->op, state, &ret);
     if (subreq == NULL) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("sdap_id_op_connect_send failed: %d\n", ret));
+              "sdap_id_op_connect_send failed: %d\n", ret);
         return ret;
     }
 
@@ -143,12 +143,12 @@ static void sdap_dom_enum_conn_done(struct tevent_req *subreq)
     if (ret != EOK) {
         if (dp_error == DP_ERR_OFFLINE) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Backend is marked offline, retry later!\n"));
+                  "Backend is marked offline, retry later!\n");
             tevent_req_done(req);
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Domain enumeration failed to connect to " \
-                   "LDAP server: (%d)[%s]\n", ret, strerror(ret)));
+                  "Domain enumeration failed to connect to " \
+                   "LDAP server: (%d)[%s]\n", ret, strerror(ret));
             tevent_req_error(req, ret);
         }
         return;
@@ -193,8 +193,8 @@ static void sdap_dom_enum_users_done(struct tevent_req *subreq)
             tevent_req_done(req);
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("User enumeration failed with: (%d)[%s]\n",
-                   ret, strerror(ret)));
+                  "User enumeration failed with: (%d)[%s]\n",
+                   ret, strerror(ret));
             tevent_req_error(req, ret);
         }
         return;
@@ -240,8 +240,8 @@ static void sdap_dom_enum_groups_done(struct tevent_req *subreq)
                 tevent_req_done(req);
             } else {
                 DEBUG(SSSDBG_OP_FAILURE,
-                      ("Group enumeration failed with: (%d)[%s]\n",
-                       ret, strerror(ret)));
+                      "Group enumeration failed with: (%d)[%s]\n",
+                       ret, strerror(ret));
                 tevent_req_error(req, ret);
             }
 
@@ -290,8 +290,8 @@ static void sdap_dom_enum_services_done(struct tevent_req *subreq)
             tevent_req_done(req);
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Service enumeration failed with: (%d)[%s]\n",
-                   ret, strerror(ret)));
+                  "Service enumeration failed with: (%d)[%s]\n",
+                   ret, strerror(ret));
             tevent_req_error(req, ret);
         }
 
@@ -307,7 +307,7 @@ static void sdap_dom_enum_services_done(struct tevent_req *subreq)
                                state->sdom->dom, true);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not mark domain as having enumerated.\n"));
+              "Could not mark domain as having enumerated.\n");
         /* This error is non-fatal, so continue */
     }
 
@@ -317,7 +317,7 @@ static void sdap_dom_enum_services_done(struct tevent_req *subreq)
             /* Not fatal, worst case we'll have stale entries that would be
              * removed on a subsequent online lookup
              */
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Cleanup failed: %d\n", ret));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Cleanup failed: %d\n", ret);
         }
     }
 
@@ -375,7 +375,7 @@ static struct tevent_req *enum_users_send(TALLOC_CTX *memctx,
                                   ctx->opts->user_map[SDAP_AT_USER_NAME].name);
     if (!state->filter) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to build base filter\n"));
+              "Failed to build base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -396,7 +396,7 @@ static struct tevent_req *enum_users_send(TALLOC_CTX *memctx,
     }
     if (!state->filter) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to build base filter\n"));
+              "Failed to build base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -415,7 +415,7 @@ static struct tevent_req *enum_users_send(TALLOC_CTX *memctx,
 
         if (!state->filter) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Failed to build base filter\n"));
+                  "Failed to build base filter\n");
             ret = ENOMEM;
             goto fail;
         }
@@ -424,7 +424,7 @@ static struct tevent_req *enum_users_send(TALLOC_CTX *memctx,
     /* Terminate the search filter */
     state->filter = talloc_asprintf_append_buffer(state->filter, ")");
     if (!state->filter) {
-        DEBUG(2, ("Failed to build base filter\n"));
+        DEBUG(2, "Failed to build base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -492,8 +492,8 @@ static void enum_users_done(struct tevent_req *subreq)
         }
     }
 
-    DEBUG(4, ("Users higher USN value: [%s]\n",
-              state->ctx->srv_opts->max_user_value));
+    DEBUG(4, "Users higher USN value: [%s]\n",
+              state->ctx->srv_opts->max_user_value);
 
     tevent_req_done(req);
 }
@@ -549,7 +549,7 @@ static struct tevent_req *enum_groups_send(TALLOC_CTX *memctx,
                                ctx->opts->group_map[SDAP_AT_GROUP_NAME].name);
     if (!state->filter) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to build base filter\n"));
+              "Failed to build base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -570,7 +570,7 @@ static struct tevent_req *enum_groups_send(TALLOC_CTX *memctx,
     }
     if (!state->filter) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to build base filter\n"));
+              "Failed to build base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -585,7 +585,7 @@ static struct tevent_req *enum_groups_send(TALLOC_CTX *memctx,
                 ctx->srv_opts->max_group_value);
         if (!state->filter) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Failed to build base filter\n"));
+                  "Failed to build base filter\n");
             ret = ENOMEM;
             goto fail;
         }
@@ -595,7 +595,7 @@ static struct tevent_req *enum_groups_send(TALLOC_CTX *memctx,
     state->filter = talloc_asprintf_append_buffer(state->filter, ")");
     if (!state->filter) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to build base filter\n"));
+              "Failed to build base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -660,8 +660,8 @@ static void enum_groups_done(struct tevent_req *subreq)
         }
     }
 
-    DEBUG(4, ("Groups higher USN value: [%s]\n",
-              state->ctx->srv_opts->max_group_value));
+    DEBUG(4, "Groups higher USN value: [%s]\n",
+              state->ctx->srv_opts->max_group_value);
 
     tevent_req_done(req);
 }
